## hkl-sample-private

hkl-sample-private

## Functions

GQuark | hkl_sample_error_quark ()
void | hkl_sample_fprintf ()
GQuark | hkl_sample_reflection_error_quark ()
HklSampleReflection * | hkl_sample_reflection_new_copy ()
void | hkl_sample_reflection_free ()

## Types and Values

| HklSample
#define | HKL_SAMPLE_ERROR
enum | HklSampleError
| HklSampleReflection
#define | HKL_SAMPLE_REFLECTION_ERROR
enum | HklSampleReflectionError

## Description

## Functions

### hkl_sample_error_quark ()

    GQuark
    hkl_sample_error_quark (void);

### hkl_sample_fprintf ()

    void
    hkl_sample_fprintf (FILE *f,
                        const HklSample *self);

print to a file a sample

[skip]

### hkl_sample_reflection_error_quark ()

    GQuark
    hkl_sample_reflection_error_quark (void);

### hkl_sample_reflection_new_copy ()

    HklSampleReflection *
    hkl_sample_reflection_new_copy (const HklSampleReflection *self);

copy constructor

[skip]

### hkl_sample_reflection_free ()

    void
    hkl_sample_reflection_free (HklSampleReflection *self);

destructor

[skip]

## Types and Values

### HklSample

    typedef struct {
    	char *name;
    	HklLattice *lattice;
    	HklMatrix U;
    	HklMatrix UB;
    	HklParameter *ux;
    	HklParameter *uy;
    	HklParameter *uz;
    	struct list_head reflections;
    	size_t n_reflections;
    } HklSample;

### HKL_SAMPLE_ERROR

    #define HKL_SAMPLE_ERROR hkl_sample_error_quark ()

### enum HklSampleError

#### Members

HKL_SAMPLE_ERROR_MINIMIZED |  |
HKL_SAMPLE_ERROR_COMPUTE_UB_BUSING_LEVY |  |

### HklSampleReflection

    typedef struct {
    	HklGeometry *geometry;
    	HklDetector *detector;
    	HklSample *sample;
    	HklVector hkl;
    	HklVector _hkl;
    	int flag;
    	struct list_node list;
    } HklSampleReflection;

### HKL_SAMPLE_REFLECTION_ERROR

    #define HKL_SAMPLE_REFLECTION_ERROR hkl_sample_reflection_error_quark ()

### enum HklSampleReflectionError

#### Members

HKL_SAMPLE_REFLECTION_ERROR_HKL_SET |  |